Source: leatherman
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libboost-dev (>=1.73.0),
 libboost-log-dev,
 libboost-nowide-dev,
 libboost-locale-dev,
 libboost-thread-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-system-dev,
 libboost-chrono-dev,
 libboost-regex-dev,
 libcurl4-openssl-dev,
 libruby,
 ruby,
 rapidjson-dev,
 catch (>= 1.10~),
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/puppetlabs/leatherman
Vcs-Git: https://salsa.debian.org/puppet-team/leatherman.git
Vcs-Browser: https://salsa.debian.org/puppet-team/leatherman

Package: libleatherman-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libleatherman1.12.1 (= ${binary:Version}),
 libboost-dev,
 libboost-log-dev,
 libboost-locale-dev,
 libboost-nowide-dev,
 libboost-thread-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-system-dev,
 libboost-chrono-dev,
 libboost-regex-dev,
 libcurl4-openssl-dev,
 ${misc:Depends},
Description: collection of C++ and CMake utility libraries - development files
 Leatherman is a collection of C++ and CMake utility libraries, primarily used
 in the Puppet ecosystem.
 .
 This package contains the C++ headers and the CMake utility libraries.

Package: libleatherman1.12.1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: collection of C++ and CMake utility libraries - shared libraries
 Leatherman is a collection of C++ and CMake utility libraries, primarily used
 in the Puppet ecosystem.
 .
 This package contains the actual shared libraries.
